<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('phone_number_id')->nullable()->after('access_token');
            $table->string('waba_id')->nullable()->after('phone_number_id');
            $table->string('verify_token')->nullable()->after('waba_id');
        });
    }

    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn(['phone_number_id', 'waba_id', 'verify_token']);
        });
    }
};
